Summary: GNOME PDF viewer
Name:    gpdf
Version: 2.10.0
Release: 2mdk
Epoch:   1
License: GPL
Group:   Graphical desktop/GNOME
URL:     http://www.purl.org/NET/gpdf
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source1: %{name}48.png
Source2: %{name}32.png
Source3: %{name}16.png
# (fc) 2.8.3-3mdk fix some default font name
Patch1: gpdf-2.8.3-fontname.patch.bz2
# (fc) 2.10.0-2mdk fix crash on 64bit platform
Patch2: xpdf-3.00-64bit-crash.patch.bz2
# (fc) 2.10.0-2mdk fix CAN 2005-0206 vulnerability
Patch3: gpdf-2.8.2-CAN-2005-2097.patch.bz2
# (fc) 2.10.0-2mdk fix build with gcc4 (Debian BTS)
Patch4: gpdf-2.10.0-gcc4.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: libgnomeprintui-devel >= 2.2
BuildRequires: gtk+2-devel >= 2.3.0
BuildRequires: libglade2.0-devel
BuildRequires: libgnomeui2-devel
BuildRequires: pkgconfig bison gettext tetex
BuildRequires: scrollkeeper
BuildRequires: libpaper-devel
BuildRequires: perl-XML-Parser
PreReq: desktop-file-utils

%description
GNOME PDF Viewer, based on xpdf

%prep
%setup -q
%patch1 -p1 -b .fontname
%patch2 -p1 -b .64bit
%patch3 -p1 -b .CAN-2005-2097
%patch4 -p1 -b .gcc4

%build
%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang %{name}
for omf in %buildroot%_datadir/omf/%name/%name-??*.omf;do
echo "%lang($(basename $omf|sed -e 's/%name-//' -e 's/.omf//')) $(echo $omf|sed -e 's!%buildroot!!')" >> %name.lang
done


mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF >  $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{_bindir}/gpdf" icon="%{name}.png" needs="x11" title="PDF file viewer" longtitle="Tool for viewing PDF files" section="Applications/Publishing" startup_notify="true" mimetypes="application/pdf" accept_url="true" multiple_files="true"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%triggerpostun -- gpdf <= 1:0.132-2mdk
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gpdf.schemas > /dev/null

%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gpdf.schemas > /dev/null
update-desktop-database %{_datadir}/applications
%{update_menus}
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%preun
update-desktop-database %{_datadir}/applications
if [ "$1" = "0" ]; then
  GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gpdf.schemas > /dev/null
fi

%postun
%{clean_menus}
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README NEWS ChangeLog CHANGES
%_sysconfdir/gconf/schemas/*
%{_bindir}/*
%{_libdir}/bonobo/servers/*
%{_libexecdir}/gnome-pdf-viewer
%{_datadir}/applications/*
%{_datadir}/application-registry/*
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/gpdf
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*
%{_datadir}/gnome/help/gpdf
%dir %{_datadir}/omf/gpdf
%{_datadir}/omf/gpdf/gpdf-C.omf
%{_menudir}/*
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Tue Aug 16 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-2mdk 
- Patch2: fix crash on 64bit platform
- Patch3: fix vulnerability CAN 2005-2097
- Patch4 (Debian BTS): fix build with gcc4

* Tue Apr 19 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-1mdk 
- Release 2.10.0 (based on Gtz Waschk package)
- Remove patch 0 (merged upstream)

* Wed Mar 16 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.3-3mdk 
- Patch1: fix some default fonts name

* Fri Feb 18 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.3-2mdk 
- Patch0: security fix for MDKSA-2005:042

* Fri Jan 28 2005 Goetz Waschk <waschk@linux-mandrake.com> 2.8.3-1mdk
- New release 2.8.3

* Sun Jan  9 2005 Goetz Waschk <waschk@linux-mandrake.com> 2.8.2-1mdk
- New release 2.8.2

* Tue Dec  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.1-1mdk
- drop all patches
- New release 2.8.1

* Wed Nov 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-2mdk
- Patch1 (Fedora): Fix CAN-2004-0888 (xpdf integer overflows)
- Patch2 (CVS): don't assert when closing quickly

* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-1mdk
- New release 2.8.0
- Remove patch0 (merged upstream)
- Patch0 (Fedora): fix error checking

* Thu Sep 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.132-3mdk
- Don't uninstall schema when upgrading (Mdk bug #10157)

* Wed Jul 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.132-2mdk
- Patch0 (CVS): backport fixes from CVS HEAD for GNOME bugs #130611, #142964

* Tue Jun  8 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.132-1mdk
- reenable libtoolize
- New release 0.132

* Fri Jun  4 2004  <lmontel@n2.mandrakesoft.com> 0.131-3mdk
- Rebuild

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.131-2mdk
- Fix BuildRequires

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.131-1mdk
- Release 0.131 (with Gtz help)
- fix installation
- requires new gtk

* Tue Mar  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.112-2mdk
- fix buildrequires

* Fri Feb 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.112-1mdk
- Switch back to 0.112 version (GNOME 2.4 branch)
- Patch0: fix compilation with gtk 2.2

* Thu Jan 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.120-4mdk
- drop libfreetype again

* Fri Jan  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.120-3mdk
- add patch9 from xpdf (Giuseppe Ghib)

* Fri Jan  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.120-2mdk
- Use static library freetype 2.1.5, because shared 2.1.7 doesn't work.

* Tue Dec 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.120-1mdk
- add docs
- new version

* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.111-1mdk
- new version

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.110-1mdk
- Release 0.110

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.106-2mdk
- Fix BuildRequires

* Tue Aug 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.106-1mdk
- Release 0.106

* Wed Jul 30 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.105-1mdk
- Release 0.105

* Wed Jul  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.104-1mdk
- new version

* Sun Jun  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.103-1mdk
- new version

* Mon May 26 2003 Austin Acton <aacton@yorku.ca> 0.102-1mdk
- 0.102
- add icons
- add buildrequires
- fix URL

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.101-1mdk
- Release 0.101

* Fri Apr 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.100-1mdk
- Initial build.


